IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcff::/16- First address
fcff::- Last address
fcff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcff:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
f.f.c.f.ip6.arpa
Split into smaller subnets
fcff::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcff::/28 | fcff:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcff:10::/28 | fcff:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcff:20::/28 | fcff:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcff:30::/28 | fcff:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcff:40::/28 | fcff:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcff:50::/28 | fcff:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcff:60::/28 | fcff:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcff:70::/28 | fcff:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcff:80::/28 | fcff:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcff:90::/28 | fcff:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcff:a0::/28 | fcff:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcff:b0::/28 | fcff:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcff:c0::/28 | fcff:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcff:d0::/28 | fcff:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcff:e0::/28 | fcff:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcff:f0::/28 | fcff:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcff:100::/28 | fcff:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcff:110::/28 | fcff:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcff:120::/28 | fcff:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcff:130::/28 | fcff:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcff:140::/28 | fcff:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcff:150::/28 | fcff:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcff:160::/28 | fcff:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcff:170::/28 | fcff:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcff:180::/28 | fcff:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcff:190::/28 | fcff:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcff:1a0::/28 | fcff:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcff:1b0::/28 | fcff:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcff:1c0::/28 | fcff:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcff:1d0::/28 | fcff:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcff:1e0::/28 | fcff:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcff:1f0::/28 | fcff:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcff:200::/28 | fcff:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcff:210::/28 | fcff:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcff:220::/28 | fcff:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcff:230::/28 | fcff:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcff:240::/28 | fcff:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcff:250::/28 | fcff:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcff:260::/28 | fcff:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcff:270::/28 | fcff:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcff:280::/28 | fcff:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcff:290::/28 | fcff:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcff:2a0::/28 | fcff:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcff:2b0::/28 | fcff:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcff:2c0::/28 | fcff:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcff:2d0::/28 | fcff:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcff:2e0::/28 | fcff:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcff:2f0::/28 | fcff:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcff:300::/28 | fcff:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcff:310::/28 | fcff:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcff:320::/28 | fcff:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcff:330::/28 | fcff:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcff:340::/28 | fcff:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcff:350::/28 | fcff:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcff:360::/28 | fcff:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcff:370::/28 | fcff:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcff:380::/28 | fcff:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcff:390::/28 | fcff:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcff:3a0::/28 | fcff:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcff:3b0::/28 | fcff:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcff:3c0::/28 | fcff:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcff:3d0::/28 | fcff:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcff:3e0::/28 | fcff:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcff:3f0::/28 | fcff:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcff:400::/28 | fcff:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcff:410::/28 | fcff:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcff:420::/28 | fcff:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcff:430::/28 | fcff:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcff:440::/28 | fcff:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcff:450::/28 | fcff:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcff:460::/28 | fcff:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcff:470::/28 | fcff:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcff:480::/28 | fcff:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcff:490::/28 | fcff:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcff:4a0::/28 | fcff:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcff:4b0::/28 | fcff:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcff:4c0::/28 | fcff:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcff:4d0::/28 | fcff:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcff:4e0::/28 | fcff:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcff:4f0::/28 | fcff:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcff:500::/28 | fcff:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcff:510::/28 | fcff:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcff:520::/28 | fcff:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcff:530::/28 | fcff:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcff:540::/28 | fcff:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcff:550::/28 | fcff:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcff:560::/28 | fcff:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcff:570::/28 | fcff:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcff:580::/28 | fcff:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcff:590::/28 | fcff:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcff:5a0::/28 | fcff:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcff:5b0::/28 | fcff:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcff:5c0::/28 | fcff:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcff:5d0::/28 | fcff:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcff:5e0::/28 | fcff:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcff:5f0::/28 | fcff:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcff:600::/28 | fcff:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcff:610::/28 | fcff:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcff:620::/28 | fcff:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcff:630::/28 | fcff:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcff:640::/28 | fcff:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcff:650::/28 | fcff:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcff:660::/28 | fcff:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcff:670::/28 | fcff:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcff:680::/28 | fcff:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcff:690::/28 | fcff:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcff:6a0::/28 | fcff:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcff:6b0::/28 | fcff:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcff:6c0::/28 | fcff:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcff:6d0::/28 | fcff:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcff:6e0::/28 | fcff:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcff:6f0::/28 | fcff:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcff:700::/28 | fcff:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcff:710::/28 | fcff:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcff:720::/28 | fcff:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcff:730::/28 | fcff:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcff:740::/28 | fcff:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcff:750::/28 | fcff:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcff:760::/28 | fcff:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcff:770::/28 | fcff:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcff:780::/28 | fcff:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcff:790::/28 | fcff:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcff:7a0::/28 | fcff:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcff:7b0::/28 | fcff:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcff:7c0::/28 | fcff:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcff:7d0::/28 | fcff:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcff:7e0::/28 | fcff:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcff:7f0::/28 | fcff:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcff:800::/28 | fcff:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcff:810::/28 | fcff:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcff:820::/28 | fcff:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcff:830::/28 | fcff:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcff:840::/28 | fcff:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcff:850::/28 | fcff:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcff:860::/28 | fcff:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcff:870::/28 | fcff:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcff:880::/28 | fcff:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcff:890::/28 | fcff:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcff:8a0::/28 | fcff:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcff:8b0::/28 | fcff:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcff:8c0::/28 | fcff:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcff:8d0::/28 | fcff:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcff:8e0::/28 | fcff:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcff:8f0::/28 | fcff:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcff:900::/28 | fcff:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcff:910::/28 | fcff:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcff:920::/28 | fcff:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcff:930::/28 | fcff:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcff:940::/28 | fcff:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcff:950::/28 | fcff:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcff:960::/28 | fcff:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcff:970::/28 | fcff:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcff:980::/28 | fcff:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcff:990::/28 | fcff:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcff:9a0::/28 | fcff:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcff:9b0::/28 | fcff:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcff:9c0::/28 | fcff:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcff:9d0::/28 | fcff:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcff:9e0::/28 | fcff:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcff:9f0::/28 | fcff:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcff:a00::/28 | fcff:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcff:a10::/28 | fcff:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcff:a20::/28 | fcff:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcff:a30::/28 | fcff:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcff:a40::/28 | fcff:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcff:a50::/28 | fcff:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcff:a60::/28 | fcff:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcff:a70::/28 | fcff:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcff:a80::/28 | fcff:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcff:a90::/28 | fcff:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcff:aa0::/28 | fcff:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcff:ab0::/28 | fcff:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcff:ac0::/28 | fcff:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcff:ad0::/28 | fcff:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcff:ae0::/28 | fcff:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcff:af0::/28 | fcff:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcff:b00::/28 | fcff:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcff:b10::/28 | fcff:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcff:b20::/28 | fcff:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcff:b30::/28 | fcff:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcff:b40::/28 | fcff:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcff:b50::/28 | fcff:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcff:b60::/28 | fcff:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcff:b70::/28 | fcff:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcff:b80::/28 | fcff:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcff:b90::/28 | fcff:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcff:ba0::/28 | fcff:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcff:bb0::/28 | fcff:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcff:bc0::/28 | fcff:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcff:bd0::/28 | fcff:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcff:be0::/28 | fcff:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcff:bf0::/28 | fcff:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcff:c00::/28 | fcff:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcff:c10::/28 | fcff:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcff:c20::/28 | fcff:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcff:c30::/28 | fcff:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcff:c40::/28 | fcff:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcff:c50::/28 | fcff:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcff:c60::/28 | fcff:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcff:c70::/28 | fcff:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcff:c80::/28 | fcff:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcff:c90::/28 | fcff:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcff:ca0::/28 | fcff:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcff:cb0::/28 | fcff:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcff:cc0::/28 | fcff:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcff:cd0::/28 | fcff:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcff:ce0::/28 | fcff:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcff:cf0::/28 | fcff:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcff:d00::/28 | fcff:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcff:d10::/28 | fcff:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcff:d20::/28 | fcff:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcff:d30::/28 | fcff:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcff:d40::/28 | fcff:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcff:d50::/28 | fcff:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcff:d60::/28 | fcff:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcff:d70::/28 | fcff:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcff:d80::/28 | fcff:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcff:d90::/28 | fcff:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcff:da0::/28 | fcff:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcff:db0::/28 | fcff:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcff:dc0::/28 | fcff:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcff:dd0::/28 | fcff:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcff:de0::/28 | fcff:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcff:df0::/28 | fcff:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcff:e00::/28 | fcff:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcff:e10::/28 | fcff:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcff:e20::/28 | fcff:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcff:e30::/28 | fcff:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcff:e40::/28 | fcff:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcff:e50::/28 | fcff:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcff:e60::/28 | fcff:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcff:e70::/28 | fcff:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcff:e80::/28 | fcff:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcff:e90::/28 | fcff:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcff:ea0::/28 | fcff:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcff:eb0::/28 | fcff:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcff:ec0::/28 | fcff:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcff:ed0::/28 | fcff:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcff:ee0::/28 | fcff:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcff:ef0::/28 | fcff:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcff:f00::/28 | fcff:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcff:f10::/28 | fcff:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcff:f20::/28 | fcff:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcff:f30::/28 | fcff:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcff:f40::/28 | fcff:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcff:f50::/28 | fcff:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcff:f60::/28 | fcff:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcff:f70::/28 | fcff:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcff:f80::/28 | fcff:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcff:f90::/28 | fcff:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcff:fa0::/28 | fcff:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcff:fb0::/28 | fcff:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcff:fc0::/28 | fcff:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcff:fd0::/28 | fcff:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcff:fe0::/28 | fcff:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcff:ff0::/28 | fcff:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |